<ion-view view-title="Novo Orçamento" xmlns="http://www.w3.org/1999/html">
    <ion-content class="budget-new">
        <form name="newBudget" novalidate ng-submit="reviewBudget( newBudget )">
            <div class=" infos">
                <div class="">
                    <h3>Informações pessoais</h3>
                    <div class="profile-budget">
                        <a ng-click="alertLeaving()"><i class="icon-edit-2"></i></a>
                        <p>{{ user.name }}</p>
                        <p>{{ user.CPF }}</p>
                        <p>{{ user.email }}</p>
                        <p>{{ user.phone }}</p>
                        <p>{{ user.address }}</p>
                    </div>
                </div>
                <div class="">
                    <h3>Informações do Cliente</h3>
                    <div class="stats produto-form" ng-show="!budget.client">
                        <div class="stats-item">
                            Selecionar cliente
                            <a ng-click="openClientsModal()">
                                Ver sua lista
                                <i class="icon-chevron-right"></i>
                            </a>
                        </div>
                        <div class="stats-item">
                            Novo cliente
                            <a ng-click="openNewClientModal()">
                                Adicionar
                                <i class="icon-chevron-right"></i>
                            </a>
                        </div>

                        <div class="error" ng-show="newBudget.$submitted && !budget.client">
                            É preciso escolher um cliente
                        </div>
                    </div>
                    <div class="profile-budget" ng-show="budget.client">
                        <a ng-click="budget.client = null; budget.client_id = null;">
                            <i class="icon-x"></i>
                        </a>
                        <p>{{ budget.client.full_name }}</p>
                        <p>{{ budget.client.cpf }}</p>
                        <p>{{ budget.client.email }}</p>
                        <p>{{ budget.client.phone }}</p>
                        <p>{{ budget.client.address }}</p>
                    </div>

                    <input type="hidden" name="client_id" ng-model="budget.client_id" required>
                </div>
                <div class="">
                    <h3>Materiais e produtos</h3>
                    <div class="stats">
                        <div class="produto-form">
                            <div class="row" ng-repeat-start="product in budget.products">
                                <div class="col col-full">
                                    <input name="productName{{ $index }}" ng-model="product.name" ng-change="addNextRow( product, $index, budget.products )" type="text" class="stats-item" placeholder="Nome do produto" ng-required="product.qty || product.price || product.un">
                                </div>
                            </div>
                            <div class="row">
                                <div class="col col-33">
                                    <div class="row">
                                        <div class="col col-50">
                                            <input name="productQty{{ $index }}" ng-model="product.qty" ng-change="addNextRow( product, $index, budget.products )" type="tel" class="text-right stats-item" placeholder="QTD" ng-required="product.name || product.price || product.un">
                                        </div>
                                        <div class="col-50 stats-qty">
                                            <input name="productUn{{ $index }}" ng-model="product.un" ng-change="addNextRow( product, $index, budget.products )" type="text" class="stats-item" placeholder="UN">
                                            <em style="opacity: {{ product.qty ? 1 : .6 }}">x</em>
                                        </div>
                                    </div>
                                </div>
                                <div class="col col-33">
                                    <input name="productPrice{{ $index }}" ng-model="product.price" ng-change="addNextRow( product, $index, budget.products )" type="tel" class="text-right stats-item p_price" fp-mask-money placeholder="Valor unitário" ng-required="product.qty || product.name || product.un">
                                </div>
                                <div class="col col-33 stats-price-total">
                                    <input type="text" ng-value="getPrice( product.price ) * product.qty | currency:'R$ '" class="text-right stats-item" readonly placeholder="Total">
                                </div>
                            </div>

                            <div class="row" ng-show="!hideRemoveRow( budget.products )">
                                <div class="col col-offset-75">
                                    <span class="removeRowBudget" ng-click="removeRow($index, budget.products)">
                                        remover <i class="ion-close"></i>
                                    </span>
                                </div>
                            </div>

                            <div ng-repeat-end class="error" ng-show="newBudget.$submitted && (!product.qty || !product.name || !product.price) && (product.qty || product.name || product.price)">
                                Complete os dados do produto
                            </div>

                            <div class="select-item-btn">
                                <a ng-click="openProdutosModal()">
                                    Selecionar produto da sua lista
                                    <i class="icon-chevron-right"></i>
                                </a>
                            </div>

                            <div class="stats-result">
                                <em>Subtotal:</em>
                                <span>{{ getTotal( budget.products ) | currency:"R$ " }}</span>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="">
                    <h3>Mão de obra e serviços</h3>
                    <div class="stats produto-form">
                        <div class="row" ng-repeat-start="labor in budget.labors">
                            <div class="col col-full">
                                <input name="laborName{{ $index }}" ng-model="labor.name" ng-change="addNextRow( labor, $index, budget.labors )" type="text" class="stats-item" placeholder="Descrição" ng-required="labor.qty || labor.price || labor.un">
                            </div>
                        </div>
                        <div class="row">
                            <div class="col col-33">
                                <div class="row">
                                    <div class="col stats-qty">
                                        <input name="laborQty{{ $index }}" ng-model="labor.qty" ng-change="addNextRow( labor, $index, budget.labors )" type="tel" class="text-right stats-item" placeholder="QTD" ng-required="labor.name || labor.price || labor.un">
                                        <em style="opacity: {{ labor.qty ? 1 : .6 }}">x</em>
                                    </div>
                                </div>
                            </div>
                            <div class="col col-33">
                                <input name="laborPrice{{ $index }}" ng-model="labor.price" ng-change="addNextRow( labor, $index, budget.labors )" type="tel" class="text-right stats-item p_price_service" fp-mask-money placeholder="Valor unitário" ng-required="labor.qty || labor.name || labor.un">
                            </div>
                            <div class="col col-33 stats-price-total">
                                <input type="text" ng-value="getPrice( labor.price ) * labor.qty | currency:'R$ '" class="text-right stats-item" readonly placeholder="Total">
                            </div>
                        </div>

                        <div class="row">
                            <div class="col col-offset-75">
                              <span ng-if="!hideRemoveRow( budget.labors)" class="removeRowBudget" ng-click="removeRow($index, budget.labors)">
                                remover <i class="ion-close"></i>
                              </span>
                            </div>
                        </div>

                        <div ng-repeat-end class="error" ng-show="newBudget.$submitted && (!labor.qty || !labor.name || !labor.price) && (labor.qty || labor.name || labor.price)">
                            Complete os dados do serviço
                        </div>

                        <div class="stats-item-btn">
                            <a ng-click="openServicosModal()">
                                Selecionar serviço da sua lista
                                <i class="icon-chevron-right"></i>
                            </a>
                        </div>

                        <div class="stats-result">
                            <em>Subtotal:</em>
                            <span>{{ getTotal( budget.labors ) | currency:"R$ " }}</span>
                        </div>
                    </div>
                </div>

                <div class="stats" ng-show="newBudget.$submitted && budget.products.length == 1 && budget.labors.length == 1" style="padding-top: 0;">
                    <div class="error">
                        Adicione ao menos um produto ou serviço
                    </div>
                </div>

                <div class="">
                    <h3>Descrição dos serviços</h3>
                    <div class="stats produto-form">
                        <textarea name="description" ng-model="budget.description" required placeholder="Insira sua descrição" class="stats-item" fp-resize-on-change></textarea>

                        <div class="error" ng-show="newBudget.$submitted && !budget.description">
                            Coloque a descrição do serviço
                        </div>
                    </div>
                </div>
                <div class="">
                    <h3>Forma de pagamento <small class="muted">(opcional)</small></h3>
                    <div class="stats produto-form">
                        <textarea name="payment_details" ng-model="budget.payment_details" placeholder="Ex.: 5x sem juros no cartão" class="stats-item" fp-resize-on-change></textarea>
                    </div>
                </div>
            </div>
            <button type="submit" class="col col-66 edit-btn">
                <i class="ion-android-document"></i>
                Visualizar PDF
            </button>
        </form>
    </ion-content>
</ion-view>
